commit:     0385e4148d85b0c24a3f74bb73de6ea630f876a1
Author:     Steffen Winter <steffen.winter <AT> proton <DOT> me>
AuthorDate: Wed Feb  7 12:37:20 2024 +0000
Commit:     Steffen Winter <stffn.mobil <AT> freenet <DOT> de>
CommitDate: Wed Feb  7 12:42:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0385e414

dev-cpp/fast_float: new package, add 6.1.0

Signed-off-by: Steffen Winter <steffen.winter <AT> proton.me>

 dev-cpp/fast_float/Manifest                |  1 +
 dev-cpp/fast_float/fast_float-6.1.0.ebuild | 29 +++++++++++++++++++++++++++++
 dev-cpp/fast_float/metadata.xml            | 11 +++++++++++
 3 files changed, 41 insertions(+)

diff --git a/dev-cpp/fast_float/Manifest b/dev-cpp/fast_float/Manifest
new file mode 100644
index 0000000000..77a5c5cecc
--- /dev/null
+++ b/dev-cpp/fast_float/Manifest
@@ -0,0 +1 @@
+DIST fast_float-6.1.0.tar.gz 95974 BLAKE2B 
9c7abd293fcd0dd7e429825918b368071686d06baa97cee5d71099490dbed73acf5c8946f086dad21affaa54d94444a922d25d2ce9724a903944722790a7771e
 SHA512 
43c21f8dbcb4524fb678b5d928d6edeefc84b6e356221696ffe0f3e8d49e97aa2c0325ca116541ec9ae2cec7d268d6720a49999e8daad52a5d7bf34377c970da

diff --git a/dev-cpp/fast_float/fast_float-6.1.0.ebuild 
b/dev-cpp/fast_float/fast_float-6.1.0.ebuild
new file mode 100644
index 0000000000..93f3bc245a
--- /dev/null
+++ b/dev-cpp/fast_float/fast_float-6.1.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Fast and exact implementation of the C++ from_chars functions for 
number types"
+HOMEPAGE="https://github.com/fastfloat/fast_float.git";
+SRC_URI="https://github.com/fastfloat/fast_float/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 Boost-1.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+BDEPEND="test? ( dev-cpp/doctest )"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       local mycmakeargs=( -DFASTFLOAT_TEST=$(usex test ON OFF) )
+       use test && mycmakeargs+=(
+               -DSYSTEM_DOCTEST=ON
+               # Unconditionally calls FetchContent
+               -DFASTFLOAT_SUPPLEMENTAL_TESTS=OFF
+       )
+       cmake_src_configure
+}

diff --git a/dev-cpp/fast_float/metadata.xml b/dev-cpp/fast_float/metadata.xml
new file mode 100644
index 0000000000..bb4fa14f07
--- /dev/null
+++ b/dev-cpp/fast_float/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Steffen Winter</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">fastfloat/fast_float</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to